Package org.eclipse.unittest.ui

## Class ConfigureViewerSupport

- java.lang.Object
- - org.eclipse.unittest.ui.ConfigureViewerSupport

All Implemented Interfaces:
  `Function<ILaunchConfigurationWorkingCopy,​ILaunchConfigurationWorkingCopy>`

    public final class ConfigureViewerSupport
    extends Object
    implements Function<ILaunchConfigurationWorkingCopy,​ILaunchConfigurationWorkingCopy>

Configures a Launch configuration Working Copy with an identifier of Test View Support extension

### Constructor Summary

Constructors
`ConfigureViewerSupport​(String testViewSupportExtensionId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ILaunchConfigurationWorkingCopy` `apply​(ILaunchConfigurationWorkingCopy configuration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

### Constructor Detail

#### ConfigureViewerSupport

    public ConfigureViewerSupport​(String testViewSupportExtensionId)

### Method Detail

#### apply

    public ILaunchConfigurationWorkingCopy apply​(ILaunchConfigurationWorkingCopy configuration)

Specified by:
  `apply` in interface `Function<ILaunchConfigurationWorkingCopy,​ILaunchConfigurationWorkingCopy>`